File: INSTALL

package info (click to toggle)
librrd-simple-perl 1.44-1
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 1,012 kB
  • ctags: 192
  • sloc: perl: 4,480; sh: 42; makefile: 3
file content (82 lines) | stat: -rw-r--r-- 2,217 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
Installing RRD::Simple
======================

If you already have the RRDs module installed (see the later
sections below), then you can install the RRD::Simple module
using the following commands in order:

perl Makefile.PL 
perl Build
perl Build test
perl Build install


Installing RRDtool from Source
==============================

RRD::Simple requires the RRDs module (a part of RRDtool) to
be available in the Perl @INC path. RRDtool can be downloaded
from http://www.rrdtool.org or http://oss.oetiker.ch/rrdtool/.

In RRDTool version 1.0.x, the RRDs module is located in the
"rrdtool-1.0.xx/perl-shared/" directory. In version 1.2.x, it
is located in "rrdtool-1.2.xx/bindings/perl-shared/".

	tar -zxf rrdtool-1.x.xx.tar.gz
	cd rrdtool-1.x.xx
	./configure && make && make install
	# cd perl-shared        # Version 1.0.x
	cd bindings/perl-shared # Version 1.2.x
	make clean
	perl Makefile.PL && make && make install
	echo "/usr/local/rrdtool-1.x.xx/lib" >> /etc/ld.so.conf
	ldconfig

More recent versions of RRDtool will attempt to compile and
install bindings for TCL, Python and Ruby. If you do not need
nor want to compile these bindings, you should change the
./configure command as follows:

	./configure --disable-tcl --disable-python --disable-ruby


Installing RRDtool from Source on RHEL
======================================

If you are installing RRDtool from source under RHEL, you will
probably need to install the following development RPMs before
following the instructions above:

	zlib-devel
	libpng10-devel
	libpng-devel
	libart_lgpl-devel

You may also want to optionally install these development RPMs
if you wish to compile and install the RRDtool bindings for
TCL, Python and Ruby:

	tcl-devel
	python-devel
	ruby-devel


Installing RRDtool on Debian & Ubuntu
=====================================

Run apt-get as root or with sudo as shown here to install the
rrdtool and librrds-perl packages:

	sudo apt-get install rrdtool
	sudo apt-get install librrds-perl


Installing RRDtool on Fedora Core
=================================

Run yum as root or with sudo as shown here to install the
rrdtool and rrdtool-perl packages:

	sudo yum install rrdtool
	sudo yum install rrdtool-perl